
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;
import java.util.List;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 13/09/22
 */
public class Affiliation implements Serializable {
	@JsonSchema(description = "the OpenAIRE id of the organizaiton")
	private String id;

	@JsonSchema(description = "the name of the organization")
	private String name;

	@JsonSchema(description = "the list of pids we have in OpenAIRE for the organization")
	private List<OrganizationPid> pid;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<OrganizationPid> getPid() {
		return pid;
	}

	public void setPid(List<OrganizationPid> pid) {
		this.pid = pid;
	}
}
