
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 13/09/22
 */
public class OrganizationPid implements Serializable {

	@JsonSchema(description = "the type of the organization pid")
	private String type;

	@JsonSchema(description = "the value of the organization pid")
	private String value;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public static OrganizationPid newInstance(String type, String value) {
		OrganizationPid op = new OrganizationPid();
		op.type = type;
		op.value = value;

		return op;
	}
}
