
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * @author miriam.baglioni
 * @Date 10/08/22
 */
public class Subject implements Serializable {
	@JsonSchema(description = "Why this subject is associated to the result")
	private Provenance provenance;

	@JsonSchema(description = "The subject value")
	private String value;

	public Provenance getProvenance() {
		return provenance;
	}

	public void setProvenance(Provenance provenance) {
		this.provenance = provenance;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
