
package eu.dnetlib.dhp.eosc.model;

/**
 * @author miriam.baglioni
 * @Date 25/10/23
 */
/**
 * @author miriam.baglioni
 * @Date 25/10/23
 */
import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * To store information about the funder funding the project related to the result. It extends
 * eu.dnetlib.dhp.schema.dump.oaf.Funder with the following parameter: - - private
 * eu.dnetdlib.dhp.schema.dump.oaf.graph.Fundings funding_stream to store the fundingstream
 */
public class Funder extends FunderShort {

	@JsonSchema(description = "Description of the funding stream")
	private Fundings funding_stream;

	public Fundings getFunding_stream() {
		return funding_stream;
	}

	public void setFunding_stream(Fundings funding_stream) {
		this.funding_stream = funding_stream;
	}
}
