
package eu.dnetlib.dhp.eosc.model;

import java.io.Serializable;

/**
 * @author miriam.baglioni
 * @Date 04/11/22
 */
public class Indicator implements Serializable {
	private UsageCounts usageCounts;

	public UsageCounts getUsageCounts() {
		return usageCounts;
	}

	public void setUsageCounts(UsageCounts usageCounts) {
		this.usageCounts = usageCounts;
	}

	public static Indicator newInstance(UsageCounts uc) {
		Indicator i = new Indicator();
		i.setUsageCounts(uc);
		return i;
	}

	public static Indicator newInstance(String downloads, String views) {
		Indicator i = new Indicator();
		i.setUsageCounts(UsageCounts.newInstance(views, downloads));
		return i;
	}

}
